'use strict';

var React = require("react");
var Moment = require("moment");
var UserEntry$ReasonReactExamples = require("../UserEntry/UserEntry.bs.js");
var DatePicker$ReasonReactExamples = require("../DatePicker/DatePicker.bs.js");

function Container(Props) {
  var match = React.useReducer((function (param, action) {
          return {
                  date: action._0
                };
        }), {
        date: Moment()
      });
  var state = match[0];
  return React.createElement("div", {
              className: "flex one"
            }, React.createElement(DatePicker$ReasonReactExamples.make, {
                  currentDate: state.date,
                  updateDate: match[1]
                }), React.createElement("ol", undefined, React.createElement(UserEntry$ReasonReactExamples.make, {
                      name: "a_mae_zing",
                      currentDate: state.date
                    }), React.createElement(UserEntry$ReasonReactExamples.make, {
                      name: "Anthony",
                      currentDate: state.date
                    })));
}

var make = Container;

exports.make = make;
/* react Not a pure module */
