'use strict';

var Curry = require("bs-platform/lib/js/curry.js");
var React = require("react");
var Belt_Array = require("bs-platform/lib/js/belt_Array.js");
var Belt_Option = require("bs-platform/lib/js/belt_Option.js");
var Belt_Result = require("bs-platform/lib/js/belt_Result.js");
var Entities$ReasonReactExamples = require("../Entities.bs.js");

function UserEntry(Props) {
  var name = Props.name;
  var currentDate = Props.currentDate;
  var match = React.useState(function () {
        return /* LoadingScore */0;
      });
  var setState = match[1];
  var state = match[0];
  React.useEffect((function () {
          console.log("currentDate == " + String(currentDate));
          console.log(currentDate.format("YYYY-MM-DD"));
          fetch("https://acicchetti.dev/crossword/v1/" + currentDate.format("YYYY-MM-DD")).then(function (prim) {
                    return prim.json();
                  }).then(function (text) {
                  var newScore = Belt_Result.mapWithDefault(Entities$ReasonReactExamples.score_api_response_decode(text), /* ErrorFetchingScore */1, (function (x) {
                          console.log(x);
                          return Belt_Option.mapWithDefault(Belt_Array.getBy(x, (function (username) {
                                            return name === Entities$ReasonReactExamples.getName(username);
                                          })), /* NoScore */2, (function (user_score) {
                                        return /* LoadedScore */{
                                                _0: user_score.time
                                              };
                                      }));
                        }));
                  return Promise.resolve(Curry._1(setState, (function (_oldState) {
                                    return newScore;
                                  })));
                }).catch(function (_err) {
                return Promise.resolve(Curry._1(setState, (function (_previousState) {
                                  return /* ErrorFetchingScore */1;
                                })));
              });
          
        }), [currentDate]);
  var tmp;
  if (typeof state === "number") {
    switch (state) {
      case /* LoadingScore */0 :
          tmp = "Loading";
          break;
      case /* ErrorFetchingScore */1 :
          tmp = "Error Fetching Score";
          break;
      case /* NoScore */2 :
          tmp = "No Score";
          break;
      
    }
  } else {
    tmp = state._0;
  }
  return React.createElement("article", {
              className: "stack pseudo button"
            }, name + " - " + tmp);
}

var make = UserEntry;

exports.make = make;
/* react Not a pure module */
